<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ext="java:lu.bourse.api.deposant.action.xsl.XslManager"
                exclude-result-prefixes="ext xsl">

	<xsl:output method="xml" indent="yes"/>
	<xsl:param name="spaceParam" />
	
	<xsl:template match="/">
    <xsl:apply-templates select="*"/>
	</xsl:template>
		
  <xsl:template match="*">
     <xsl:copy>
        <xsl:apply-templates select="@*"/>
        <xsl:apply-templates/>
     </xsl:copy>
  </xsl:template>
  
  <xsl:template match="@*">
     <xsl:attribute name="{name(.)}">
        <xsl:value-of select="."/>
     </xsl:attribute>
  </xsl:template>
		
	<xsl:template match="*:CdIdentAcCssf">
  	<xsl:element name="{local-name()}" namespace="{namespace-uri(.)}">
      <xsl:value-of select="ext:obtenirCdAcCssf($spaceParam)" xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
    </xsl:element>
	</xsl:template>
	
	<xsl:template match="*:CdIdentAcBcl">
  	<xsl:element name="{local-name()}" namespace="{namespace-uri(.)}">
      <xsl:value-of select="ext:obtenirCdAc($spaceParam)" xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
    </xsl:element>
	</xsl:template>
	
	<xsl:template match="*:MotPasAc">
	 <xsl:element name="{local-name()}" namespace="{namespace-uri(.)}">
      <xsl:value-of select="ext:obtenirPwdAc($spaceParam)" xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
      </xsl:element>
	</xsl:template>
	
	<xsl:template match="*:CdAuthent">
  	<xsl:element name="{local-name()}" namespace="{namespace-uri(.)}">
      <xsl:value-of select="ext:obtenirCodeAuth($spaceParam)" xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
    </xsl:element>
	</xsl:template>

</xsl:stylesheet>

